#文件上传和修改
所有通用的按钮的js都存放在platform/actions下
1. js名称：BaseFileUploadAction
2. 功能作用。
   - 上传文件到服务器中
   - 如果系统支持密级管控时，文件需要标密。后台会校验密级的内容。
   - 可以批量添加文件后，再上传
3. 参数的使用
    |参数名字|参数说明|参数示例|
    |:--:|:--:|:--:|
    |fileDocClassify|文件的用途编号|英文标识，可以为空|
    |fileDocClassifyName|文件的用途说明|中文描述，可以为空，如附件，主文档，使用说明等|
    |ownbizOid|数据的主键|不可以为空，默认为点击按钮所在区域来源数据（不是选择数据）的oid属性，支持${xxx}表达式|
    |ownBtmname|数据的业务类型|不可以为空，默认为点击按钮所在区域来源数据（不是选择数据）的btmname属性。如果没有这个属性，则判断当前按钮所在的区域是否为链接类型，获取连接类型的名称。支持${xxx}表达式|
    |updateFileFlag|是否为修改文件|默认为false,为true的时候表示修改，那这个按钮只能配置在文件列表上|
    |effect|是否上传就生效|默认为true。如果为false时，文件上传完成后的状态是"传输完成"。否则为"已生效"|
    |id|文件显示的名称|后台会默认为根据文件本身的名称|
    |title|窗口的标题|默认为“上传文件”。支持${xxx}表达式|
    |width|窗口的宽度|默认是由layer自适应的|
    |height|窗口的高度|默认是由layer自适应的|
    |url|上传的后台接口|默认为vciFileUploadController/uploadFile|
    |checkSameFile|校验相同名称的文件|true,false。默认为true|
    |   |前后置事件||
    |beforeEvent|显示的前置事件||
    |afterEvent|窗口关闭的后置事件||
    |   |前后置事件的值使用标准的配置|jsPath#methodName?param=aaa&param1=bbb|
4. 文件上传的处理
  - 上传的时候，配置中的fileDocClassify,fileDocClassifyName,ownbizOid,ownBtmname,updateFileFlag,effect这些属性需要传递给后台
  - 文件的标签的name必须是file
  - 如果updateFileFlag为true时，必须要在文件列表里选择一条数据，必须判断是文件对象（选择数据中btmname属性为fileobject）。然后传递给后台的参数增加fileOid,它的值等于选择数据的oid属性
5. 密级处理
  - 在需要控制密级，即configData.controlSecret为true时，需要显示文件密级的下拉框。这个下拉框的值小于等于选择的数据的密级内容  
  - 获取密级的下拉框的后台接口为webEnumController/getDataEnum。参数为oid（数据的主键，即上方的ownbizOid的值），btmname(数据的业务类型，即上方的ownBtmname的值)
  - 文件上传时，密级的属性为secretGrade，如果不控制密级，则传递为-1即可
  
     
   
     
