#链接类型的通用删除
所有通用的按钮的js都存放在platform/actions下
1. js名称：BaseLinkDeleteAction
2. 功能作用。
  - 支持批量和单条删除
3. 参数说明
  |参数名字|参数说明|参数示例|
  |:--:|:--:|:--:|  
  |multi|是否多条数据|true表示可以多选删除。false表示不多选。默认为false|
  |
  |checkLinkedFlag|是否校验数据是否引用|true表示校验，默认为false|
  |cascade|是否级联删除|true表示级联删除，这种只是在自参照的的时候使用|
  |adminCascade|高级级联删除|true表示高级级联删除，只有admin用户可以删除.它会删除这个数据关联的所有的数据和文件全部删除|
  |deleteToData|删除to端数据|默认为true|
  |deleteFromDate|删除from端数据|默认为false|
  |confirmMsg|删除前的提示语句|默认为是否删除这条（这些）数据|
  |checkNotDelete|属性的值符合条件时不能删除|xxx=yyy&zzz=aaa的方式。使用分号分割，=前是属性，=后是属性的值|
  |checkNotDeleteMsg|不能删除时的提示语句|默认“当前数据不允许删除".支持${xxx}方式用属性来代替|
  |checkOnBack|是否在后台校验|true,false。默认为false,即为前端校验|
  |successMsg|成功后的提示语句|"删除成功"。这个优先级小于后台返回的提示语句|
  |url|后台保存的url|默认为uiDataController/linkDeleteData|
  |method|请求后台的方法|默认为delete|
  |backPath|后台的服务名字|默认为兼容性为true时等于path,否则为objectServicePath。即configData.compatibility?path:configData.objectServicePath|
  |postSourceData|保存的时候是否发送来源数据|默认为false|
  |postSelectData|保存的时候是否发送选择数据|默认为false|
  |   |前后置事件||
  |beforeEvent|删除的前置事件||
  |afterEvent|删除的后置事件|不论是否有后置事件，删除成功后都需要刷新面板|
  |beforeBSEvent|保存的B/S的前置事件|即后台处理的时候的前置事件|
  |afterBSEvent|保存的B/S的后置事件|即后台处理的时候的后置事件|
  |beforeServerEvent|服务端的前置事件|在主服务里处理的事件，有事务控制，可以随意操作数据.server端的前置事件需要加到主服务的运行环境中，一般不使用|
  |afterServerEvent|服务端的后置事件|在主服务里处理的事件，一般是多个业务功能有公共的处理部分是使用|
  |   |前后置事件的值使用标准的配置|jsPath#methodName?param=aaa&param1=bbb|    
4. 调用后台接口实现删除
  - 发送参数
  
  ```
    {
        "checkLinkedFlag":false,//是否校验被引用,true,false。来源于参数checkLinkedFlag
        "cascade":false,//是否级联删除.来源于参数cascade
        "adminCascade":false,//高级级联删除，来源于参数cascade
        "checkNotDelete":"不能删除的属性,当checkOnBack参数为true时传递",
        "checkNotDeleteMsg":"不能删除的提示语句，当checkOnBack参数为true时传递",
        "dataList":[{
            "oid":"主键",
            "ts":"时间戳",
            "linkType":"链接类型"
        }]
    }
  ```
    