#卷服务的设计思路
1. 总体思路
   - 设计思想 卷服务可以独立于主服务部署，减少corba的压力。可以使用多个卷服务。卷服务里可以有多个卷。其中corba的命名服务相当于计算机，卷服务相当于文件系统，卷相当于磁盘或文件夹
   - 下载处理 根据卷名称获取卷对象里的定义。获取其中的服务地址和服务名称，然后调用corba服务。如果服务地址为空，则表示和主服务共用命名服务
   - 上传处理 一般系统根据业务来处理；或者是在前端页面显示卷，让用户可以选择；或者获取首选路径的卷
2. 调用接口
   - 获取卷对象。使用卷的名称进行查询。
   - 使用卷对象的服务地址和服务名称来获取
3. 代码示例
    ```
    VciFileVolumeVO vciFileVolumeVO = vciFileVolumeServiceI.getObjectById(volumeId);
    String volumeName = vciFileVolumeVO.getName();
    VolumnManagement volumnCorbaService = null;
    try {
        volumnCorbaService = platformClientUtil.getVolumeService(vciFileVolumeVO.getServiceUrl(),volumeName).getVolumnService();
    } catch (VCIError vciError) {
        throw new VciBaseException("没有获取到{}的卷服务",new String[]{volumeName},vciError);
    }
    ```
      